Main Page Class List Class Members

# Nv::Blast::ActorSerializationHeader Struct Reference

`#include <NvBlastActorSerializationBlock.h>`

List of all members.

## Public Member Functions
| NvBlastBlockArrayData (uint32_t, m_hopCountsOffset, getHopCounts, m_graphNodeCount)
| NvBlastBlockArrayData (uint32_t, m_fastRouteOffset, getFastRoute, m_graphNodeCount)
| NvBlastBlockArrayData (uint32_t, m_graphNodeIndicesOffset, getGraphNodeIndices, m_graphNodeCount)
| NvBlastBlockArrayData (uint32_t, m_visibleChunkIndicesOffset, getVisibleChunkIndices, m_visibleChunkCount)
| NvBlastBlockData (FixedBoolArray, m_edgeRemovedArrayOffset, getEdgeRemovedArray)
| NvBlastBlockData (float, m_bondHealthsOffset, getBondHealths)
| NvBlastBlockData (float, m_lowerSupportChunkHealthsOffset, getLowerSupportChunkHealths)
## Public Attributes
uint32_t | m_formatVersion
uint32_t | m_graphNodeCount
uint32_t | m_index
uint32_t | m_leafChunkCount
uint32_t | m_size
uint32_t | m_visibleChunkCount

## Detailed Description

Data header at the beginning of a NvBlastActor serialization block

The block address may be cast to a valid ActorSerializationHeader pointer.

Serialization state is only valid if partition has been called since the last call to findIslands().

## Member Function Documentation

Nv::Blast::ActorSerializationHeader::NvBlastBlockArrayData | ( | uint32_t | ,
|  | m_hopCountsOffset | ,
|  | getHopCounts | ,
|  | m_graphNodeCount |  |
| ) |  |  |

Hop counts in instance graph calculated for each graph node in this actor, of type uint32_t.

Nv::Blast::ActorSerializationHeader::NvBlastBlockArrayData | ( | uint32_t | ,
|  | m_fastRouteOffset | ,
|  | getFastRoute | ,
|  | m_graphNodeCount |  |
| ) |  |  |

Fast route in instance graph calculated for each graph node in this actor, of type uint32_t.

Nv::Blast::ActorSerializationHeader::NvBlastBlockArrayData | ( | uint32_t | ,
|  | m_graphNodeIndicesOffset | ,
|  | getGraphNodeIndices | ,
|  | m_graphNodeCount |  |
| ) |  |  |

Graph node indices, of type uint32_t.

Nv::Blast::ActorSerializationHeader::NvBlastBlockArrayData | ( | uint32_t | ,
|  | m_visibleChunkIndicesOffset | ,
|  | getVisibleChunkIndices | ,
|  | m_visibleChunkCount |  |
| ) |  |  |

Visible chunk indices, of type uint32_t.

Nv::Blast::ActorSerializationHeader::NvBlastBlockData | ( | FixedBoolArray | ,
|  | m_edgeRemovedArrayOffset | ,
|  | getEdgeRemovedArray |  |
| ) |  |  |

"Edge removed" bits for bonds associated with support chunks in this actor, in order of graph adjacency from associated graph nodes, i < j only. Type FixedBoolArray.

Nv::Blast::ActorSerializationHeader::NvBlastBlockData | ( | float | ,
|  | m_bondHealthsOffset | ,
|  | getBondHealths |  |
| ) |  |  |

Healths for bonds associated with support chunks in this actor, in order of graph adjacency from associated graph nodes, i < j only. Type float.

Nv::Blast::ActorSerializationHeader::NvBlastBlockData | ( | float | ,
|  | m_lowerSupportChunkHealthsOffset | ,
|  | getLowerSupportChunkHealths |  |
| ) |  |  |

Healths for lower support chunks in this actor, in breadth-first order from the support chunks associated with the graph nodes. Type float.

## Member Data Documentation

uint32_t Nv::Blast::ActorSerializationHeader::m_formatVersion

A number which is incremented every time the data layout changes.

uint32_t Nv::Blast::ActorSerializationHeader::m_graphNodeCount

The number of elements in the graph node indices list.

uint32_t Nv::Blast::ActorSerializationHeader::m_index

The index of the actor within its family.

uint32_t Nv::Blast::ActorSerializationHeader::m_leafChunkCount

The number of leaf chunks in this actor.

uint32_t Nv::Blast::ActorSerializationHeader::m_size

The size of the serialization block, including this header.

Memory sizes are restricted to 32-bit representable values.

uint32_t Nv::Blast::ActorSerializationHeader::m_visibleChunkCount

The number of elements in the visible chunk indices list.

The documentation for this struct was generated from the following file:

- sdk/lowlevel/source/NvBlastActorSerializationBlock.h